Page MenuHomePhabricator

1.39.0-wmf.6 deployment blockers
Closed, ResolvedPublic5 Estimated Story PointsRelease

Details

Backup Train Conductor
hashar
Release Version
1.39.0-wmf.6
Release Date
Apr 4 2022, 12:00 AM

2022 week 14 1.39-wmf.6 Changes wmf/1.39.0-wmf.6

This MediaWiki Train Deployment is scheduled for the week of Monday, April 4th:

Monday April 4thTuesday, April 5thWednesday, April 6thThursday, April 7thFriday
Backports only.Branch wmf.6 and deploy to Group 0 Wikis.Deploy wmf.6 to Group 1 Wikis.Deploy wmf.6 to all Wikis.No deployments on fridays

How this works

  • Any serious bugs affecting wmf.6 should be added as subtasks beneath this one.
  • Any open subtask(s) block the train from moving forward. This means no further deployments until the blockers are resolved.
  • If something is serious enough to warrant a rollback then you should bring it to the attention of deployers on the #wikimedia-operations IRC channel.
  • If you have a risky change in this week's train add a comment to this task using the Risky patch template
  • For more info about deployment blockers, see Holding the train.

Related Links

Other Deployments

Previous: 1.39.0-wmf.5
Next: 1.39.0-wmf.7

Event Timeline

thcipriani triaged this task as Medium priority.
thcipriani updated Other Assignee, added: hashar.
thcipriani set the point value for this task to 5.

Change 777294 had a related patch set uploaded (by Jaime Nuche; author: Jaime Nuche):

[operations/mediawiki-config@master] testwikis wikis to 1.39.0-wmf.6 refs T305212

https://gerrit.wikimedia.org/r/777294

Change 777294 merged by jenkins-bot:

[operations/mediawiki-config@master] testwikis wikis to 1.39.0-wmf.6 refs T305212

https://gerrit.wikimedia.org/r/777294

Mentioned in SAL (#wikimedia-operations) [2022-04-05T07:38:27Z] <jnuche@deploy1002> Started scap: testwikis wikis to 1.39.0-wmf.6 refs T305212

Mentioned in SAL (#wikimedia-operations) [2022-04-05T08:21:21Z] <jnuche@deploy1002> Finished scap: testwikis wikis to 1.39.0-wmf.6 refs T305212 (duration: 42m 53s)

Change 777299 had a related patch set uploaded (by Jaime Nuche; author: Jaime Nuche):

[operations/mediawiki-config@master] group0 wikis to 1.39.0-wmf.6 refs T305212

https://gerrit.wikimedia.org/r/777299

Change 777299 merged by jenkins-bot:

[operations/mediawiki-config@master] group0 wikis to 1.39.0-wmf.6 refs T305212

https://gerrit.wikimedia.org/r/777299

Mentioned in SAL (#wikimedia-operations) [2022-04-05T08:31:23Z] <jnuche@deploy1002> rebuilt and synchronized wikiversions files: group0 wikis to 1.39.0-wmf.6 refs T305212

Mentioned in SAL (#wikimedia-operations) [2022-04-05T11:45:30Z] <jnuche@deploy1002> Started scap: resync wmf.6 to reapply security patches - T305212

Mentioned in SAL (#wikimedia-operations) [2022-04-05T11:48:21Z] <jnuche@deploy1002> Finished scap: resync wmf.6 to reapply security patches - T305212 (duration: 02m 50s)

Change 777344 had a related patch set uploaded (by Jaime Nuche; author: Jaime Nuche):

[operations/mediawiki-config@master] group0 wikis to 1.39.0-wmf.6 refs T305212

https://gerrit.wikimedia.org/r/777344

Change 777344 merged by jenkins-bot:

[operations/mediawiki-config@master] group0 wikis to 1.39.0-wmf.6 refs T305212

https://gerrit.wikimedia.org/r/777344

Mentioned in SAL (#wikimedia-operations) [2022-04-05T11:52:10Z] <jnuche@deploy1002> rebuilt and synchronized wikiversions files: group0 wikis to 1.39.0-wmf.6 refs T305212

Change 777748 had a related patch set uploaded (by Jaime Nuche; author: Jaime Nuche):

[operations/mediawiki-config@master] group1 wikis to 1.39.0-wmf.6 refs T305212

https://gerrit.wikimedia.org/r/777748

Change 777748 merged by jenkins-bot:

[operations/mediawiki-config@master] group1 wikis to 1.39.0-wmf.6 refs T305212

https://gerrit.wikimedia.org/r/777748

Hi there @jnuche! We have an issue with wmf5 (T305171) that we'd rather not be present going into the weekend. If the train runs as expected tomorrow, then we don't have a problem.

In the event that the train gets rolled back or stalled for whatever reason, could you please backport https://gerrit.wikimedia.org/r/c/mediawiki/extensions/QuickSurveys/+/777775 ?

cc @eigyan

@Jdlrobson, thank you for helping me sort a path forward with this patch deployment -> much appreciated!

I established that the bug predates the new parsoid release. So, I am going to remove it as a blocker and we'll debug and fix it separately.

Sorry about the flip flop, but there is one other piece of the mystery that we need to resolve. Why is this bug now triggering on unedited parts of the page during this train?

Deleted comment -- meant to post on the other task.

Please look at T305597 for details, but I have verified that this issue doesn't impact non-private wikis, and even on private wikis, the dirtying seems limited to "whitespace before colons that are themselves embedded in preformatted blocks". The dirtying is not more widespread on officewiki or wikitech. I suppose if it were, we would have heard by now.

I still don't know what is causing this. But, given the limited impact, I think the train can go ahead and we'll investigate that separately. We also already have a fix for the bug itself and so on the next train, this specific issue should be resolved.

Change 778217 had a related patch set uploaded (by Hashar; author: Hashar):

[operations/mediawiki-config@master] all wikis to 1.39.0-wmf.6 refs T305212

https://gerrit.wikimedia.org/r/778217

Change 778217 merged by jenkins-bot:

[operations/mediawiki-config@master] all wikis to 1.39.0-wmf.6 refs T305212

https://gerrit.wikimedia.org/r/778217

Mentioned in SAL (#wikimedia-operations) [2022-04-07T08:13:00Z] <hashar@deploy1002> rebuilt and synchronized wikiversions files: all wikis to 1.39.0-wmf.6 refs T305212

Now new MediaWiki log errors so far. It is rather quiet!

Looks like it is stable \o/